program pascalkralj;
var
i,n,k,l,j:integer;
a:array [1..1000000] of int64;
begin
readln(n);
k:=random(2);
for i:=1 to n do
begin
readln(a[i]);
if a[i]=1 then
begin
writeln(1);
writeln(1);
exit;
end
else if a[i]=-1 then
begin
writeln(1);
writeln(1);
exit;
end;
end;
if k=1 then
for i:=1 to n do
if i mod 2 = 0 then
writeln(1)
else
writeln(2);
if k = 2 then
for i:=1 to n do
if i mod 2 = 0 then
writeln(2)
else
writeln(1);
end.